Preview: these APIs are still being designed and aren't available yet.
Skip to Content
UpskyDocs
API reference

Get a deployment

Returns a deployment and its current status.

GET
/hosting/deployments/{id}

Returns a deployment and its current status.

Authorization

apiKey
headerAuthorizationBearer <token>

Path Parameters

id*string

Response Body

The deployment.

application/json
  1. response
id*string
site_id*string
status*string
Value in"queued""building""ready""failed"
url?|
Formaturi
Example Request
curl -X GET 'https://api.upsky.dev/v1/hosting/deployments/string'
Example Response
{  "id": "string",  "site_id": "string",  "status": "queued",  "url": "http://example.com"}